=== dist/deb/debian/changelog ===
openpts-core (0.1.3-git20090405) unstable; urgency=low

  * Initial DEB package (for Ubuntu 8.10)

 -- munetoh <munetoh@users.sourceforge.jp>  Sun, 5 Apr 2009 09:16:04 +0900
