=== dist/deb/debian/control ===
Source: openpts-core
Section: libs
Priority: extra
Maintainer: Seiji Munetoh <munetoh@users.sourceforge.jp>
Build-Depends: debhelper (>= 7), cdbs, ant-optional, default-jdk-builddep, libcommons-logging-java, libibatis-java, libpg-java, libcommons-codec-java
Standards-Version: 3.7.3
Homepage: http://sourceforge.jp/projects/openpts/

Package: openpts-core
Architecture: all
Section: libs
Recommends: ant, libopenpts-java-gcj
Suggests: libopenpts-java-doc
Depends: default-jre-headless | java1-runtime-headless | java2-runtime-headless, libcommons-logging-java, libibatis-java, libpg-java, libcommons-codec-java
Description: A TCG PTS implementation in Java
 OpenPlatformTrustServices is an implementation of the TCG PTS ("Platform Trust Services")

Package: openpts-core-gcj
Architecture: any
Section: libs
Depends: libopenpts-java (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: A TCG PTS implementation in Java (native code)
 OpenPlatformTrustServices is an implementation of the TCG PTS ("Platform Trust Services")

Package: openpts-core-doc
Architecture: all
Section: doc
Suggests: libopenpts-java
Description: A TCG PTS implementation in Java
 OpenPlatformTrustServices is an implementation of the TCG PTS ("Platform Trust Services")
